From 63aa3587da42c1822439456da523e4b0545fbd73 Mon Sep 17 00:00:00 2001
From: "Edgar P. Burkhart" <git@edgarpierre.fr>
Date: Wed, 12 Jun 2024 19:13:27 +0200
Subject: [PATCH] Fix formatting

---
 .pre-commit-config.yaml                          | 2 +-
 lps/base/migrations/0003_formpage_formfield.py   | 1 -
 lps/base/migrations/0004_sitesettings.py         | 1 -
 lps/base/models.py                               | 5 ++---
 lps/base/templates/base/form_page_landing.html   | 6 +++---
 lps/base/templatetags/navigation_tags.py         | 2 +-
 lps/home/migrations/0005_homepage_icon.py        | 1 -
 lps/home/migrations/0006_remove_homepage_icon.py | 1 -
 lps/lps/templates/base.html                      | 5 ++---
 lps/lps/templates/nav.html                       | 4 ++--
 10 files changed, 11 insertions(+), 17 deletions(-)

diff --git a/.pre-commit-config.yaml b/.pre-commit-config.yaml
index 6a62a6e..3dd72f2 100644
--- a/.pre-commit-config.yaml
+++ b/.pre-commit-config.yaml
@@ -13,7 +13,7 @@ repos:
     hooks:
       - id: flake8
         args: ["--max-line-length=88", "--extend-ignore=E203"]
-        exclude: "lps/lps/settings/"
+        exclude: "lps/lps/settings/|migrations"
   - repo: https://github.com/Riverside-Healthcare/djLint
     rev: v1.23.3
     hooks:
diff --git a/lps/base/migrations/0003_formpage_formfield.py b/lps/base/migrations/0003_formpage_formfield.py
index 895bec3..0bf9d97 100644
--- a/lps/base/migrations/0003_formpage_formfield.py
+++ b/lps/base/migrations/0003_formpage_formfield.py
@@ -8,7 +8,6 @@ from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
-
     dependencies = [
         ("base", "0002_alter_navigationsettings_phone"),
         ("wagtailcore", "0093_uploadedfile"),
diff --git a/lps/base/migrations/0004_sitesettings.py b/lps/base/migrations/0004_sitesettings.py
index f7eaf76..742ced0 100644
--- a/lps/base/migrations/0004_sitesettings.py
+++ b/lps/base/migrations/0004_sitesettings.py
@@ -5,7 +5,6 @@ from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
-
     dependencies = [
         ("base", "0003_formpage_formfield"),
         ("wagtailimages", "0026_delete_uploadedimage"),
diff --git a/lps/base/models.py b/lps/base/models.py
index 64ed583..5a19fae 100644
--- a/lps/base/models.py
+++ b/lps/base/models.py
@@ -26,6 +26,7 @@ class NavigationSettings(BaseGenericSetting):
         )
     ]
 
+
 @register_setting
 class SiteSettings(BaseGenericSetting):
     icon = models.ForeignKey(
@@ -37,9 +38,7 @@ class SiteSettings(BaseGenericSetting):
         help_text="Icône du site",
     )
 
-    panels = [
-        MultiFieldPanel(
-            [FieldPanel("icon")], "Informations du site")]
+    panels = [MultiFieldPanel([FieldPanel("icon")], "Informations du site")]
 
 
 class FormField(AbstractFormField):
diff --git a/lps/base/templates/base/form_page_landing.html b/lps/base/templates/base/form_page_landing.html
index 6ad130f..86f3ae2 100644
--- a/lps/base/templates/base/form_page_landing.html
+++ b/lps/base/templates/base/form_page_landing.html
@@ -5,7 +5,7 @@
     <section>
         {{ page.thank_you_text|richtext }}
     </section>
-		<section>
-			<a href="">Retour</a>
-		</section>
+    <section>
+        <a href="">Retour</a>
+    </section>
 {% endblock content %}
diff --git a/lps/base/templatetags/navigation_tags.py b/lps/base/templatetags/navigation_tags.py
index dc81bc8..4cee0c9 100644
--- a/lps/base/templatetags/navigation_tags.py
+++ b/lps/base/templatetags/navigation_tags.py
@@ -1,9 +1,9 @@
 from django import template
-
 from wagtail.models import Site
 
 register = template.Library()
 
+
 @register.simple_tag(takes_context=True)
 def get_site_root(context):
     return Site.find_for_request(context["request"]).root_page
diff --git a/lps/home/migrations/0005_homepage_icon.py b/lps/home/migrations/0005_homepage_icon.py
index 475938b..d2f94cb 100644
--- a/lps/home/migrations/0005_homepage_icon.py
+++ b/lps/home/migrations/0005_homepage_icon.py
@@ -5,7 +5,6 @@ from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
-
     dependencies = [
         ("home", "0004_homepage_hero_text_homepage_image"),
         ("wagtailimages", "0026_delete_uploadedimage"),
diff --git a/lps/home/migrations/0006_remove_homepage_icon.py b/lps/home/migrations/0006_remove_homepage_icon.py
index 78a38bb..8dce648 100644
--- a/lps/home/migrations/0006_remove_homepage_icon.py
+++ b/lps/home/migrations/0006_remove_homepage_icon.py
@@ -4,7 +4,6 @@ from django.db import migrations
 
 
 class Migration(migrations.Migration):
-
     dependencies = [
         ("home", "0005_homepage_icon"),
     ]
diff --git a/lps/lps/templates/base.html b/lps/lps/templates/base.html
index 0de17de..0bbc3b0 100644
--- a/lps/lps/templates/base.html
+++ b/lps/lps/templates/base.html
@@ -30,9 +30,8 @@
               rel="stylesheet" />
         <link rel="stylesheet" type="text/css" href="{% static 'css/lps.css' %}">
         {% block extra_css %}{# Override this in templates to add extra stylesheets #}{% endblock %}
-
-				{% image settings.base.SiteSettings.icon fill-32x32 format-png as favicon %}
-				<link rel="icon" href="{{ favicon.url }}">
+        {% image settings.base.SiteSettings.icon fill-32x32 format-png as favicon %}
+        <link rel="icon" href="{{ favicon.url }}">
     </head>
     <body>
         {% wagtailuserbar %}
diff --git a/lps/lps/templates/nav.html b/lps/lps/templates/nav.html
index eb699c0..f4ceb34 100644
--- a/lps/lps/templates/nav.html
+++ b/lps/lps/templates/nav.html
@@ -4,8 +4,8 @@
     <ul>
         <li>
             <a href="{% pageurl site_root %}">
-              	{% srcset_image settings.base.SiteSettings.icon width-{64,128} %}
-							<strong>{{ site_root.title }}</strong>
+                {% srcset_image settings.base.SiteSettings.icon width-{64,128} %}
+                <strong>{{ site_root.title }}</strong>
             </a>
         </li>
     </ul>
